aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/exremote
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local/bin/exremote')
-rwxr-xr-xdotfiles/.local/bin/exremote9
1 files changed, 9 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/exremote b/dotfiles/.local/bin/exremote
new file mode 100755
index 0000000..a6bbbbb
--- /dev/null
+++ b/dotfiles/.local/bin/exremote
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Helper script to execute commands on remote host
+
+[ -n "$1" ] || (echo "Specify command to run" && exit 0)
+
+host=$(cat $HOME/.config/exremote/host)
+
+ssh "$host" "source /home/$(whoami)/.profile 2> /dev/null && $1"